Published Dashboard
PublishedDashboard object
- display_namestringOutput only
The display name of the published dashboard.
- warehouse_idstring
The warehouse ID used to run the published dashboard.
- embed_credentialsboolean
Indicates whether credentials are embedded in the published dashboard.
- revision_create_timestringOutput only
The timestamp of when the published dashboard was last revised.
Get published dashboard GA
GET
Get the current published dashboard.
The caller must be a workspace user with one of the following entitlements: Workspace access, Databricks SQL access, or Consumer access.
Account-level users who are not members of the workspace cannot call this endpoint, even if the dashboard has been shared with them.
API scopes: dashboards
Parameters
- dashboard_idstringRequiredpath
UUID identifying the published dashboard.
Response
Returns the PublishedDashboard object.
Unpublish dashboard GA
DELETE
Unpublish the dashboard.
Requires the Databricks SQL access entitlement.
API scopes: dashboards
Parameters
- dashboard_idstringRequiredpath
UUID identifying the published dashboard.
Revert dashboard GA
POST
Revert a dashboard's definition in draft mode to the last published version.
Requires the Databricks SQL access entitlement.
API scopes: dashboards
Parameters
- dashboard_idstringRequiredpath
UUID identifying the dashboard.
Request body
- etagstring
The etag for the dashboard. Optionally, it can be provided to verify that the dashboard has not been modified from its last retrieval.
Response
- dashboardobject
The reverted dashboard.
Show child attributesHide child attributes
- dashboard_idstringOutput only
UUID identifying the dashboard.
- display_namestring
The display name of the dashboard.
- pathstringOutput only
The workspace path of the dashboard asset, including the file name. Exported dashboards always have the file extension
.lvdash.json. This field is excluded in List Dashboards responses.
- create_timestringOutput only
The timestamp of when the dashboard was created.
- update_timestringOutput only
The timestamp of when the dashboard was last updated by the user. This field is excluded in List Dashboards responses.
- warehouse_idstring
The warehouse ID used to run the dashboard.
- etagstring
The etag for the dashboard. Can be optionally provided on updates to ensure that the dashboard has not been modified since the last read. This field is excluded in List Dashboards responses.
- serialized_dashboardstring
The contents of the dashboard in serialized string form. This field is excluded in List Dashboards responses. Use the get dashboard API to retrieve an example response, which includes the
serialized_dashboardfield. This field provides the structure of the JSON string that represents the dashboard's layout and components.
- lifecycle_statestringOutput only
The state of the dashboard resource. Used for tracking trashed status.
ACTIVETRASHED
- parent_pathstringImmutable
The workspace path of the folder containing the dashboard. Includes leading slash and no trailing slash. This field is excluded in List Dashboards responses.
Read information of a published dashboard to mint an OAuth token Public Preview
GET
Get a required authorization details and scopes of a published dashboard to mint an OAuth token.
The caller must be a workspace user with one of the following entitlements: Workspace access, Databricks SQL access, or Consumer access.
Account-level users who are not members of the workspace cannot call this endpoint, even if the dashboard has been shared with them.
API scopes: dashboards
Parameters
- dashboard_idstringRequiredpath
UUID identifying the published dashboard.
- external_valuestringquery
Provided external value to be included in the custom claim.
- external_viewer_idstringquery
Provided external viewer id to be included in the custom claim.
Response
- custom_claimstring
Custom claim generated from external_value and external_viewer_id. Format:
urn:aibi:external_data:<external_value>:<external_viewer_id>:<dashboard_id>
- scopestring
Scope defining access permissions.
- authorization_detailsarray of object
Authorization constraints for accessing the published dashboard. Currently includes
workspace_rule_setand could be enriched withunity_catalog_privilegesbefore oAuth token generation.Show child attributesHide child attributes
- typestring
The type of authorization downscoping policy. Ex:
workspace_rule_setdefines access rules for a specific workspace resource
- resource_namestring
The resource name to which the authorization rule applies. This field is specific to
workspace_rule_setconstraint. Format:workspaces/{workspace_id}/dashboards/{dashboard_id}
- resource_legacy_acl_pathstring
The acl path of the tree store resource resource.
- grant_rulesarray of object
Represents downscoped permission rules with specific access rights. This field is specific to
workspace_rule_setconstraint.Show child attributesHide child attributes
- permission_setstring
Permission sets for dashboard are defined in iam-common/rbac-common/permission-sets/definitions/TreeStoreBasePermissionSets Ex:
permissionSets/dashboard.runner